Name:           libomxil-bellagio
Version:        0.9.3
Release:        12%{?dist}
Summary:        OpenMAX Integration Layer

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://omxil.sourceforge.net
Source0:        http://downloads.sourceforge.net/omxil/%{name}-%{version}.tar.gz
#https://sourceforge.net/tracker/?func=detail&aid=3477869&group_id=160680&atid=816817
Patch0:         libomxil-bellagio-0.9.3-fix_Werror.patch
Patch1:         libomxil-bellagio-0.9.3-unused.patch
#https://sourceforge.net/tracker/?func=detail&aid=3477871&group_id=160680&atid=816817
Patch2:         libomxil-bellagio-0.9.3-nodoc.patch
Patch3:         http://git.buildroot.net/buildroot/plain/package/multimedia/bellagio/bellagio-0.9.3-dynamicloader-linking.patch
Patch4:         http://git.buildroot.net/buildroot/plain/package/multimedia/bellagio/bellagio-0.9.3-parallel-build.patch
Patch5:         http://git.buildroot.net/buildroot/plain/package/multimedia/bellagio/bellagio-0.9.3-segfault-on-removeFromWaitResource.patch
Patch6:         omxil_version.patch
BuildRequires:  doxygen
BuildRequires:  libtool


%description
The OpenMAX IL API defines a standardized media component interface to
enable developers and platform providers to integrate and communicate
with multimedia codecs implemented in hardware or software.

The libomxil shared library implements the OpenMAX IL Core functionalities.
Three dynamically loadable components are also included: OMX alsa sink
component, OMX mp3,aac,ogg decoder component and OMX volume control component.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        test
Summary:        Test cases for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    test
The %{name}-test package contains binaries for testing %{name}.


%prep
%setup -q
%patch0 -p1 -b .fix_werror
%patch1 -p1 -b .unused
%patch2 -p1 -b .nodoc
%patch3 -p1 -b .dynl
%patch4 -p1 -b .pb
%patch5 -p1 -b .sf
%patch6 -p0 -b .orig
autoreconf -vif

%build
%configure --disable-static

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

#Race condition with the library creation
make %{?_smp_mflags} || make %{?_smp_mflags}

#Build the tests files so they can be installed later
ln -sf src bellagio
make check LDFLAGS="-L$PWD/src/.libs" \
    CFLAGS="$RPM_OPT_FLAGS -I$PWD/include -I$PWD"


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


#Manually install test binaries
mkdir -p $RPM_BUILD_ROOT%{_bindir}
for f in audio_effects/.libs/{omxaudiomixertest,omxvolcontroltest} resource_manager/.libs/{omxprioritytest,omxrmtest} ; do
  install -pm 0755 test/components/${f} $RPM_BUILD_ROOT%{_bindir}
done

#Avoid docdir
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/omxregister-bellagio
%{_libdir}/*.so.*
%dir %{_libdir}/bellagio
%{_libdir}/bellagio/*.so*
%dir %{_libdir}/omxloaders
%{_libdir}/omxloaders/*.so*
%{_mandir}/man1/omxregister-bellagio.1.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libomxil-bellagio.pc

%files test
%{_bindir}/omxaudiomixertest
%{_bindir}/omxprioritytest
%{_bindir}/omxrmtest
%{_bindir}/omxvolcontroltest


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jul 31 2013 Nicolas Chauvet <kwizart@gmail.com> - 0.9.3-8
- Add back gst-omx
- Adjust docdir for %%fedora >= 20

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Dec 16 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.9.3-6
- Fix registration error patch

* Sun Dec 09 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.9.3-5
- Fix registration error rhbz#882743
- Fix missing symbol rhbz#885402 - patch from qais.yousef@imgtec.com
- Fix paralle build - patch from qais.yousef@imgtec.com
- Fix segfault - patch from qais.yousef@imgtec.com

* Sat Sep 08 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.9.3-4
- Fix unused variable

* Tue Jul 24 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.9.3-3
- Avoid running autoreconf
- Avoid running make check
- Fix manual building of test binaries

* Mon Apr 23 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.9.3-2
- Fix build with -Werror - patch from Niels de Vos
- Convert nodoc fix to a patch
- Add BR doxygen
- Enable make check and create a -test subpackage

* Wed Jan 18 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.9.3-1
- Fedora spec file

* Wed Sep 17 2008 Giulio Urlini
- added jpeg encoder/decoder
* Mon Jul 07 2008 Giulio Urlini
- added clock source, video source, camera, frame buffer writer
* Thu Mar 06 2008 Marc-Andre Lureau
- copy&pasted some good practices from some other .spec.in
- changed components directory
- remove unnecessary plugins .la and .a files
- untested
* Wed Feb 27 2008 Giulio Urlini
- changed the library list.
* Fri Oct 19 2007 Giulio Urlini
- removed fbdev from file list. It is experimental,
  and not installed on any platform
* Tue Oct 01 2007 Giulio Urlini
- Minor update and name change of this file
* Tue Jun 04 2007 Giulio Urlini
- Bellagio 0.3.2 release
* Tue May 22 2007 Giulio Urlini
- Bellagio 0.3.1 release
* Fri Apr 06 2007 Giulio Urlini
- Bellagio 0.3 release
* Fri Feb 24 2006 David Siorpaes
- Fixed some minor issues in build process
* Mon Feb 6 2006 Giulio Urlini
- First build attempt
